Subject: Re: bug#64186: Patch: Suppress deprecated '-gdb-set target-async' warning message in gdb-mi.el

From: Wang Diancheng <[email-masked]>
Date: Fri, 7 Jul 2023 14:25:58 +0800

Eli Zaretskii <[email-masked]> 于2023年7月6日周四 15:10写道：
>
> > From: Wang Diancheng <[email-masked]>
> > Date: Fri, 30 Jun 2023 15:08:18 +0800
> > Cc: [email-masked], [email-masked]
> >
> > Thanks for your comments.I think what exactly the value of
> > `gdb-last-command’ is not essential for us.
> > We just need to know  whether `gdb-last-command' is a CLI command in
> > the background or a MI command,
> > since here we have already got its "running" status.  We must check
> > the target "async" feature after stopping
> > the debuggee at the first time in function `gdb-stopped' if
> > `gdb-last-command' is not a background CLI command or a MI command.
> >
> > > > +  ;; Set `gdb-non-stop` when `gdb-last-command` is a CLI background
> > > > +  ;; `run` command e.g. r& or MI command `-exec-run`
> > > > +  (when (or (string-match "&\s*$" gdb-last-command)
> > > > +            (string-match "-exec-run" gdb-last-command))
> > > > +    (gdb-try-check-target-async-support))
> > >
> > > And I'm not sure I understand the idea behind this part:
> > >
> > > > @@ -2722,6 +2744,9 @@ gdb-stopped
> > > >
> > > >      ;; Print "(gdb)" to GUD console
> > > >      (when gdb-first-done-or-error
> > > > +      ;; If run target with CLI foreground command `run`, `target
> > > > +      ;; async` can only be checked when target is stopped
> > > > +      (gdb-try-check-target-async-support)
> > > >        (setq gdb-filter-output (concat gdb-filter-output gdb-prompt-name)))
> > >
> > > Can you elaborate?
> >
> > Thanks for your questions, according to my comments above, If the
> > debuggee has been started by
> > a non-background CLI command e.g. “run" or "attach" (no trailing "&")
> > commands, we can only
> > check the target "async" feature at the code stack.
> >
> > >
> > > Finally, please don't quote symbols `like this` in comments.  Our
> > > conventions are to quote symbols 'like this' or `like this'.
> >
> > I updated the patch, see the attachment.
>
> Thanks, installed on the master branch, and closing the bug.
>
> Note that, with this patch you have exhausted the amount of changes we
> can accept from you without copyright assignment to the FSF.  Would
> you like to start the copyright assignment paperwork at this time, so
> that we could accept more changes from you in the future?  If you are
> willing to start the assignment process, I will send you the form to
> fill and the instructions to go with it.

I'd like to start the copyright assignment paperwork, send me the form
please.  Thank you.